/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkSample.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#include "vtkSample.h"

#include "vtkObjectFactory.h"

vtkStandardNewMacro(vtkSample);
//----------------------------------------------------------------------------
vtkSample::vtkSample()
{
}

//----------------------------------------------------------------------------
vtkSample::~vtkSample()
{
}

//----------------------------------------------------------------------------
void vtkSample::SetActivateSelVec(int index, int value)
{
  if (this->SelVec.size() <= index)
    {
    this->SelVec.resize(index+1);
    this->SelVec[index] = value;
    this->Modified();
    }
  else if (this->SelVec[index] != value)
    {
    this->SelVec[index] = value;
    this->Modified();
    }
}

//----------------------------------------------------------------------------
void vtkSample::RemoveAllSelVec()
{
  if (this->SelVec.size() > 0)
    {
    this->SelVec.clear();
    this->Modified();
    }
}

//----------------------------------------------------------------------------
int vtkSample::RequestData(vtkInformation *r, vtkInformationVector **i, vtkInformationVector *o)
{
  cout << "SelVec: [ ";
  for (size_t cc=0; cc < this->SelVec.size(); cc++)
    {
    cout << this->SelVec[cc] << ", ";
    }
  cout << "]" << endl;
  return this->Superclass::RequestData(r, i, o);
}

//----------------------------------------------------------------------------
void vtkSample::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}
