/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkSample.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
// .NAME vtkSample
// .SECTION Description

#ifndef vtkSample_h
#define vtkSample_h

#include "vtkSphereSource.h"
#include <vector>
class vtkSample : public vtkSphereSource
{
public:
  static vtkSample* New();
  vtkTypeMacro(vtkSample, vtkSphereSource);
  void PrintSelf(ostream& os, vtkIndent indent);

  void SetActivateSelVec(int index, int value);
  void RemoveAllSelVec();

//BTX
protected:
  vtkSample();
  ~vtkSample();

  virtual int RequestData(vtkInformation *r, vtkInformationVector **i, vtkInformationVector *o);
  std::vector<int> SelVec;

private:
  vtkSample(const vtkSample&); // Not implemented.
  void operator=(const vtkSample&); // Not implemented.
//ETX
};

#endif

